[project]
name = "factum"
version = "0.0.0"
description = "Forensic note-taking application which utilizes PGP signatures on timestamped notes to ensure maximum integrity."
authors = [
    {name = "Mario Stöckl", email = "mstoeck3@hs-mittweida.de"}
]
readme = "README.md"
requires-python = "==3.13.*"
license = {text = "BSD-3-Clause"}

dependencies = [
    "PySide6~=6.8.0",
    "logging>=0.4.9.6",
    "openai~=2.8.1",
    "python-dotenv~=1.2.1",
]

[project.optional-dependencies]
dev = [
    "pytest",
]

[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"

[tool.hatch.build.targets.wheel]
packages = ["src/factum"]

[tool.uv.workspace]
members = [
    "factum",
]

[project.scripts]
factum = "factum.main:main"
